# Set allowed embed domains
`PUT https://octopus.livepush.io/streams/{stream_id}/embed/domains`
Restricts playback to the listed domains. An empty array allows every domain.

Requires a token with write access to the stream (`CanWriteStreams`).
- **Tag:** Stream Embed
- **Operation ID:** `putStreamEmbedDomains`
- **Authentication:** Bearer token required
- **Docs:** https://developers.livepush.io/stream-embed/set-allowed-embed-domains/

### Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `stream_id` | string | yes | Unique identifier of the stream. |


### Request body

`application/json` (required)

- _array of string_


```json
[
  "example.com",
  "www.example.com"
]
```


### Example request

```bash
curl -X PUT 'https://octopus.livepush.io/streams/st_xxxxxxxxxxxxx/embed/domains' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '[
    "example.com",
    "www.example.com"
  ]'
```


### Responses


#### 200 — Setting applied.

- `success` (boolean)


```json
{
  "success": true
}
```


#### 400 — Response


#### 401 — Response

